***********************************************************************
      SUBROUTINE CALSST        !" $B@VF;GHMQ(J SST $B7W;;(J
     O         ( GSST  ,
     I           ALAT  , ALON  ,
     I           FT0   , FCT   , FAS   , FSS   ,
     I           TEQ   , ALAT0 , ALAT1 , ALPHA , BETA  , GAMMA ,
     I           ALACON,
     I           IDIM  , JDIM                                   )
*
*     SST = SST ( TEQ-ALAT0, ALAT1, ALPHA, BETA, GAMMA )
*         -> ALAT0 +/- ALACON $B$N4V(J, $BJ?C32=(J
*
*   [PARAM] 
      INTEGER    IDIM, JDIM
*
*   [OUTPUT] 
      REAL       GSST  ( IDIM, JDIM )
*
*   [INPUT] 
      REAL       ALON  ( IDIM )
      REAL       ALAT  ( JDIM )
      REAL       FT0
      REAL       FCT
      REAL       FAS
      REAL       FSS
      REAL       TEQ
      REAL       ALAT0
      REAL       ALAT1
      REAL       ALPHA
      REAL       BETA
      REAL       GAMMA
      REAL       ALACON
      REAL       deltats
*
*   [INTERNAL WORK]       
      REAL       PI, PHI1, AB4, PHI, GSSTP, ALATP, ALATM, GSSTMX
      real       ido,T0,T1,DELTAT
      INTEGER    I, J, JP, JM
*
*" << CRSST : SST$B$N7W;;:n@.(J >> 
*
      PI   = ATAN( 1. ) * 4.  
      PHI1 = ABS( ALAT1 * PI/180.   )
      AB4  = 2. *( PHI1**3 )*BETA/ALPHA
      WAVEN= 40.0
*      WAVEN= 20.0
*      WAVEN= 10.0
*
      DO 2100 J = 1, JDIM
*
         ido   = ALAT( J ) *180.0/PI

         if(abs(ido) .le. 80.0) then
            T0 = 31./2. * ( 1. + cos(pi*abs(ido)/80.0) )-2.0 
         else
            T0 = -2.0
         endif
*
         t1 = - 5.0 * exp(- 0.5 *(ido/6.0)**2 )
*
         if(abs(ido) .le. 20.0) then
            deltat = 1.5 * sin(pi * ido/20.0)
            deltats = 1.5 * sin(pi * abs(ido)/20.0)
         else
            deltat=0.0
            deltats=0.0
         endif
*
         GSSTP =    ft0*T0     + fct*T1 + fas*deltat 
     &            + fss*deltats + 273.0
*
*"    $B@VF;IT0BDjGH$rA[Dj$7$?>qMp$b=E$M$k(J.
         DO 2110 I = 1, IDIM
            GSST( I,J ) = GSSTP
     &        + 2.5 * SIN( WAVEN * ALON(I) )* EXP( - (IDO -3.0)**2/4.0)
 2110    CONTINUE
*
 2100 CONTINUE
*
*
      RETURN
      END


